### configuration file for GO::View module and batchGOView.pl
######################################################################

## Note that paths in this file that are not absolute, ie don't begin
## with a slash, are interpreted as relative to THIS file.

## to define the maximum number of the nodes to be displayed in the map.
maxNode = 30
 
## to define the minimum map width
minMapWidth = 350

## to define the minimum map height for displaying keys on the top
minMapHeight4TopKey = 600

## to define the minimum map width for displaying keys on a single row
minMapWidth4OneLineKey = 620


## to define the display ratio of the map width over the width defined
## by GraphViz module 
widthDisplayRatio = 0.8

## to define the display ratio of the map height over the height 
## defined by GraphViz module
heightDisplayRatio = 0.8

## The 'dot' and 'neato' are located under this directory. Just delete
## this entry if you have installed the dot and neato programs under 
## default directory. 
#binDir = /nfs/gs/home/cegrant/bin

## The required C libraries for dot and neato are located under this 
## directory. Just delete this entry if you have installed these 
## libraries under default directory. 
#libDir = /nfs/gs/home/cegrant/lib/

## the note will be displayed on the bottom of the map
## see example below: 
## mapNote = general map note here 
mapNote = 

## the annotation file that you want to use for the example run of
## batchGOView.pl, it is indicated to be the test one in the ../t/
## directory.  Note that this is only for illustrative purposes - that
## file is old, and you should get the latest ones from the Gene
## Ontology Consortium for your own purposes.

annotationFile = transcript_association

## the ontology file - see notes on association file

ontologyFile = process.ontology

## aspect - the aspect of the ontology

aspect = P

## totalNumGenes - the total number of genes that were assayed in the
## course of determining interesting ones.  If this is left blank,
## then it is assumed that this number is the same as the number of
## genes in the annotation file

totalNumGenes = 34111

## outDir - the output directory, where you want the resulting html
## files to be put.  default is to output them to the same directory
## as the .conf file

outDir = 

## geneUrl - a url to which you want your genes linked in both the
## image and the html table It must have the text <REPLACE_THIS> which
## will be replaced with the gene name

geneUrl = http://www.ensembl.org/Homo_sapiens/textview?species=Homo_sapiens&idx=Gene&q=<REPLACE_THIS>

## goidUrl - a url to which you want your GO nodes linked in both the
## image and the html table It must have the text <REPLACE_THIS> which
## will be replaced with the gene name

goidUrl = http://godatabase.org/cgi-bin/go.cgi?query=<REPLACE_THIS>

## pvaluecutoff - the p-value cutoff, above which you do not want
## genes printed out to the html table.  If none is provided, or you
## provde a zero, then a value of 1 will be used (ie no cutoff)

pvalueCutOff = 0.01

## calculateFDR - boolean to decide whether the FDR should be
## calculated when the terms are found for the list of genes.  If no
## value is provided then the default for GO::TermFinder will be used,
## which is 0 (i.e. to not calculate the FDR).

calculateFDR = 1

## makePs - boolean to decided whether, in addition to a png or gif
## image (depending on the version of GD you are using), a postscript
## should also be created.  The postscript image will have the same
## name as the png/gif image, but will have a different suffix.  Note
## that because I don't seem to be able to get the postcript options
## to work completely correctly, opting for postscript currently
## constrains the size of your images, including the png/gif ones.
## Still, it does give you nice scaleable output for publication.
##
## 0 means no ps, 1 means you should get an image

makePs = 0
